<?php


namespace App\Entities\RespostaNumericaInteira;


use App\Utils\Builder;

class RespostaNumericaInteiraBuilder implements Builder
{
    protected $id;
    protected $id_resposta_formulario;
    protected $resposta;

    public function setId(int $id): RespostaNumericaInteiraBuilder
    {
        $this->id = $id;
        return $this;
    }

    public function setIdRESPOSTAFORMULARIO(int $id_resposta_formulario): RespostaNumericaInteiraBuilder
    {
        $this->id_resposta_formulario = $id_resposta_formulario;
        return $this;
    }

    public function setResposta(int $resposta): RespostaNumericaInteiraBuilder
    {
        $this->resposta = $resposta;
        return $this;
    }

    public function build(): RespostaNumericaInteira
    {
        $resposta_numerica_inteira = new RespostaNumericaInteira();
        if (isset($this->id)) {
            $resposta_numerica_inteira->setid($this->id);
        }
        if (isset($this->id_resposta_formulario)) {
            $resposta_numerica_inteira->setidRESPOSTAFORMULARIO($this->id_resposta_formulario);
        }
        if (isset($this->resposta)) {
            $resposta_numerica_inteira->setresposta($this->resposta);
        }
        return $resposta_numerica_inteira;
    }


}